Bug 56454 - printconf-backend fails to create printer when the lpd-spool-directory does not exhist
Summary: printconf-backend fails to create printer when the lpd-spool-directory does n...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-19 01:06 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 17:17:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-11-19 01:06:49 UTC
[root@daddy /root]# printconf-gui 
Traceback (innermost last):
  File "/usr/sbin/printconf-backend", line 381, in ?
    for i in range(flags.getNumChildren()):
  File "/usr/sbin/printconf-backend", line 625, in rebuild_queues
    for dir in map(lambda x: "%s/%s" % (lpd_spool_dir, x), os.listdir
(lpd_spool_dir)):
OSError: [Errno 2] No such file or directory


[root@daddy /root]# joe /usr/sbin/printconf-backend


        # This scans the spool directory, and distroys any directory 
marked vol
        # valid configuration.
        
--------------># PUT (mkdir lpd_spool_dir) LINE HERE!!!!

        for dir in map(lambda x: "%s/%s" % (lpd_spool_dir, x), os.listdir
(lpd_s
                if os.path.exists("%s/VOLATILE" % dir):
                        try:
                                active_queue_dirs.index(os.path.basename
(dir))
                        except:
                                # Yeah, I could do this in python, but it 
would
                                os.system("rm -rf %s" % dir)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Brand new install no previous printer configuration.
2.Try to add and use a printer using printconf-gui,printconf-backend
3.
	

Additional info:

Comment 1 Crutcher Dunnavant 2001-11-26 17:26:39 UTC
Why isn't /var/spool/lpd there?



Comment 2 Tim Waugh 2002-02-01 14:05:45 UTC
I am closing this bug.  /var/spool/lpd is provided by the 'filesystem' package.



Note You need to log in before you can comment on or make changes to this bug.